<template>
  <nav class="navbar">
    <img src="../../assets/logo_small.svg" alt="logo" width="50px" />
    <div class="navbar-content">
      <h2
        to="/"
        v-bind:class="{ selected: 0 == selectedMenuItem }"
        @click="scrollToTargetAdjusted('home')"
        :style="
          this.$vuetify.breakpoint.name !== 'sm' ? '' : 'font-size: 20px;'
        "
      >
        {{ $t("menu.home") }}
      </h2>
      <h2
        to="/about"
        v-bind:class="{ selected: 1 == selectedMenuItem }"
        @click="scrollToTargetAdjusted('how-to-join')"
        :style="
          this.$vuetify.breakpoint.name !== 'sm' ? '' : 'font-size: 20px;'
        "
      >
        {{ $t("menu.how_to_join") }}
      </h2>
      <h2
        to="/about"
        v-bind:class="{ selected: 2 == selectedMenuItem }"
        @click="scrollToTargetAdjusted('contact')"
        :style="
          this.$vuetify.breakpoint.name !== 'sm' ? '' : 'font-size: 20px;'
        "
      >
        {{ $t("menu.contact") }}
      </h2>
    </div>
  </nav>
</template>

<script>
import "../../assets/style.scss";
export default {
  name: "Menu",
  props: {
    selectedMenuItem: Number,
  },
  methods: {
    changeMenuTo(item) {
      this.selectedMenuItem = item;
    },
    scrollToTargetAdjusted(target) {
      const element = document.getElementById(target);
      const offset = 120;
      const bodyRect = document.body.getBoundingClientRect().top;
      const elementRect = element.getBoundingClientRect().top;
      const elementPosition = elementRect - bodyRect;
      const offsetPosition = elementPosition - offset;

      window.scrollTo({
        top: offsetPosition,
        behavior: "smooth",
      });
    },
  },
};
</script>

<style scoped>
.navbar {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  width: 100%;
  height: 80px;
  background-color: rgba(255, 255, 255, 0.8);
  display: flex;
  align-items: center;
  box-shadow: 3px 3px 5px rgb(187, 187, 187, 0.2);
}
.navbar-content {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 80%;
  margin-left: 3%;
  cursor: pointer;
}
.selected {
  color: #ff8547 !important;
}
img {
  margin-left: 2%;
}
h2 {
  text-transform: uppercase;
  font-size: clamp(15px, 2.5vw, 25px);
  line-height: clamp(25px, 3.7vw, 35px);
  color: var(--dark100) !important;
  font-family: "MontserratRegular" !important;
}
h2:hover {
  transform: scale(1.1);
}
</style>
